Figure - Bug #118509

OIOVDEV-325530 0 dpogvcipgoeed D0 oD oEED DD OO0 Doooooonooooon

oeeubouoouobboobooboooobgd
2023-06-05 11:06 - CDTS_Test 0 [ O

1oo0OC

Status: CLOSED Start date: 2023-06-05
Priority: Normal Due date:

Assignee: CDTS_TestO OO % Done: 0%
Category: doooooooogo Estimated time: 0.00 hour
Target version:

Need_Info: - Found Version: 000000 0003.02.0086.c1020 0 0 O
Resolution: INVALID Degrated: -

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description
History

#1-2023-06-0514:15-CDFW DO OO

- Category changed from CD-FWto O O O OO0 000000
- Status changed from New to NEED_INFO

- Assignee changed fromCDFW O 00 0 to CDTS_Test 0 00 O
java.lang.UnsatisfiedLinkError: dlopen failed: "/data/xxxxx.s0" has bad ELF magic
gooobOosodbogooonog
goooobooboobobobobooobooboooboobobUobUobDobDUoooobog

000226_manual_00028_230605_092031.l09:787: 06-05 09:20:40.713 10044 10044 D AndroidRuntime: Shutting down VM
000226_manual_00028_230605_092031.109:788: 06-05 09:20:40.714 10044 10044 E AndroidRuntime: FATAL EXCEPTION: main
000226_manual_00028_230605_092031.109:789: 06-05 09:20:40.714 10044 10044 E AndroidRuntime: Process: com.tencent.qgmusic, PID: 10044
000226_manual_00028_230605_092031.10g:790: 06-05 09:20:40.714 10044 10044 E AndroidRuntime: java.lang.RuntimeException: Unable to instantiate application
com.tencent.qgmusic.MusicApplication package com.tencent.qgmusic: com.tencent.tinker.loader. TinkerRuntimeException: Tinker Exception:dlopen failed:
"/data/app/~~YcwfWi8TrUE1DXQ-7TH70A==/com.tencent.qgmusic-0BQckHKRna52Hy8MOJHxMw==/lib/arm64/libmmkv.so" has bad ELF magic: 00000000

000226_manual_00028_230605_092031.l0g:791: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
android.app.LoadedApk.makeApplication(LoadedApk.java:1364)
000226_manual_00028_230605_092031.0g:792: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
android.app.ActivityThread.handleBindApplication(Activity Thread.java:6705)
000226_manual_00028_230605_092031.10g:793: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
android.app.Activity Thread.access$1500(Activity Thread.java:248)
000226_manual_00028_230605_092031.10g:794: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
android.app.Activity Thread$H.handleMessage(Activity Thread.java:2054)
000226_manual_00028_230605_092031.109:795: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.109:796: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.109:797: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.109:798: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.109:799: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.109:800: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
com.android.internal.os.Runtimelnit$Method AndArgsCaller.run(Runtimelnit.java:548)
000226_manual_00028_230605_092031.10g:801: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:

at

at

at

at

at android.os.Handler.dispatchMessage(Handler.java:106)

at android.os.Looper.loopOnce(Looper.java:201)

at android.os.Looper.loop(Looper.java:288)

at android.app.ActivityThread.main(ActivityThread.java: 7880)
at java.lang.reflect. Method.invoke(Native Method)

at

at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:1009)

000226_manual_00028_230605_092031.109:802: 06-05 09:20:40.714 10044 10044 E AndroidRuntime: Caused by: com.tencent.tinker.loader. TinkerRuntimeException:
Tinker Exception:dlopen failed: "/data/app/~~YcwfWi8TrUE1DXQ-7TH70A==/com.tencent.qgmusic-0BQckHKRna52Hy8MOJHxMw==/lib/arm64/libmmkv.so" has

bad ELF magic: 00000000

000226_manual_00028_230605_092031.10g:803: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
com.tencent.tinker.loader.app. TinkerApplication.onBaseContextAttached(SourceFile:7)
000226_manual_00028_230605_092031.10g:804: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
com.tencent.tinker.loader.app. TinkerApplication.attachBaseContext(SourceFile:5)
000226_manual_00028_230605_092031.10g:805: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.10g:806: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
android.app.Instrumentation.newApplication(Instrumentation.java:1179)
000226_manual_00028_230605_092031.109:807: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
android.app.LoadedApk.makeApplication(LoadedApk.java:1356)
000226_manual_00028_230605_092031.109:808: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:

at

at

at android.app.Application.attach(Application.java:331)

at

at

... 10 more

000226_manual_00028_230605_092031.109:809: 06-05 09:20:40.714 10044 10044 E AndroidRuntime: Caused by: java.lang.UnsatisfiedLinkError: dlopen failed:
"/data/app/~~YcwfWi8TrUE1DXQ-7TH70A==/com.tencent.qgmusic-0BQckHKRna52Hy8MOJHxMw==/lib/arm64/libmmkv.so" has bad ELF magic: 00000000

000226_manual_00028_230605_092031.109:810: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.l0g:811: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.l0g:812: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.l0g:813: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.l0g:814: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.l0g:815: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.l0g:816: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.0g:817: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.10g:818: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.l0g:819: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
at java.lang.Runtime.loadLibraryO(Runtime.java:1077)

at java.lang.Runtime.loadLibraryO(Runtime.java:998)

at java.lang.System.loadLibrary(System.java: 1656)

at com.tencent.mmkv.MMKYV.q(SourceFile:2)

at com.tencent. mmkv.MMKYV .B(SourceFile:5)

at com.tencent.mmkv.MMKV.A(SourceFile:2)

at com.tencent.gmethod.pandoraex.core.strategy.b.r(SourceFile:5)
at com.tencent.gmethod.pandoraex.core.strategy.b.n(SourceFile:5)
at com.tencent.gmethod.pandoraex.core.strategy.b.p(SourceFile:1)

at com.tencent.gmethod.pandoraex.core.strategy.a.c(SourceFile:2)
000226_manual_00028_230605_092031.10g:820: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.10g:821: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.109:822: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.109:823: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
com.tencent.ggmusiccommon.util.privacy.PrivacyProtectionConfig.initSDK (SourceFile:28)
000226_manual_00028_230605_092031.109:824: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
000226_manual_00028_230605_092031.109:825: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
com.tencent.ggmusic.tinker.TinkerApplicationLike.onBaseContextAttached(SourceFile:6)
000226_manual_00028_230605_092031.l09:826: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
com.tencent.tinker.entry.TinkerApplicationInlineFence.handleMessagelmpl(SourceFile:15)
000226_manual_00028_230605_092031.0g:827: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
com.tencent.tinker.entry. TinkerApplicationInlineFence.handleMessage_$noinline$(SourceFile:2)
000226_manual_00028_230605_092031.10g:828: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
com.tencent.tinker.entry. TinkerApplicationInlineFence.handleMessage(Unknown Source:0)
000226_manual_00028_230605_092031.10g:829: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
com.tencent.tinker.loader.app. TinkerInlineFenceAction.callOnBaseContextAttached(SourceFile:2)
000226_manual_00028_230605_092031.10g:830: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:
com.tencent.tinker.loader.app. TinkerApplication.onBaseContextAttached(SourceFile:4)
000226_manual_00028_230605_092031.10g:831: 06-05 09:20:40.714 10044 10044 E AndroidRuntime:

at com.tencent.gmethod.pandoraex.api.p.r(Unknown Source:0)

at com.tencent.gmethod.pandoraex.api.o.l(SourceFile:21)
at com.tencent.gmethod.monitor.a.h(SourceFile:12)

at

at com.tencent.qgmusic.InjectDexUtil.a(SourceFile:8)

at

at

at

at

at

at

... 14 more

000226_manual_00033_230605_092105.10g:1082: 06-05 09:21:06.560 10202 10927 E AndroidRuntime: FATAL EXCEPTION: GaiaXUiWorker
000226_manual_00033_230605_092105.109:1083: 06-05 09:21:06.560 10202 10927 E AndroidRuntime: Process: com.youku.phone, PID: 10202
000226_manual_00033_230605_092105.109:1084: 06-05 09:21:06.560 10202 10927 E AndroidRuntime: java.lang.UnsatisfiedLinkError: dlopen failed:
"/data/app/~~GtdEdtxL_w7qfLQqrydLww==/com.youku.phone--j-kaeG661LQmSPbEdBngA==/lib/arm64/libgaiaxjs.so" has bad ELF magic: 00000000

000226_manual_00033_230605_092105.10g:1085: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.10g:1086: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.10g:1087: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.l0g:1088: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.10g:1089: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.10g:1090: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.10g:1091: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.10g:1092: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.10g:1093: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:

com.youku.gaiax.js.GaiaXJS$startEngine$1$1.invoke(SourceFile:2)

000226_manual_00033_230605_092105.10g:1094: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:

com.youku.gaiax.js.GaiaXJS$startEngine$1$1.invoke(SourceFile:1)

000226_manual_00033_230605_092105.10g:1095: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.10g:1096: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.109:1097: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:

com.youku.gaiax.provider.module.js.JSDelegate.startEngine(SourceFile:6)

000226_manual_00033_230605_092105.109:1098: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:

com.youku.gaiax.impl.js.GaiaXJSDelegate$startEngine$1.invoke(SourceFile:2)

000226_manual_00033_230605_092105.109:1099: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:

com.youku.gaiax.impl.js.GaiaXJSDelegate$startEngine$1.invoke(SourceFile:3)

000226_manual_00033_230605_092105.10g:1100: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.l0g:1101: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.l0g:1102: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.10g:1103: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.l0g:1104: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
000226_manual_00033_230605_092105.10g:1105: 06-05 09:21:06.560 10202 10927 E AndroidRuntime:
at java.lang.Runtime.loadLibraryO(Runtime.java:1077)

at java.lang.Runtime.loadLibrary0(Runtime.java:998)

at java.lang.System.loadLibrary(System.java:1656)

at com.youku.gaiax.quickjs.QuicklS.<clinit>(SourceFile:8)
at com.youku.gaiax.quickjs.QuickJS$b.a(SourceFile:1)
atj.n0.ol.i.c.a.a.a(SourceFile:2)

at com.youku.gaiax.js.core.GaiaXEngine.c(SourceFile:9)

at com.youku.gaiax.js.GaiaXJS.a(SourceFile:7)

at

at

atj.n0.ol.i.e.a.a(SourceFile:2)
at com.youku.gaiax.js.GaiaXJS.D(SourceFile:3)

at

at

at

atj.n0.01.h.0.d$a.run(SourceFile:1)

at android.os.Handler.handleCallback(Handler.java:938)
at android.os.Handler.dispatchMessage(Handler.java:99)
at android.os.Looper.loopOnce(Looper.java:201)

at android.os.Looper.loop(Looper.java:288)

at android.os.HandlerThread.run(HandlerThread.java:67)
#2 - 2023-06-05 19:35- CD TEST-0 O O
- Status changed from NEED_INFO to RESOLVED

6.5
gooooooooooooboooobboooooo

#3 - 2023-06-05 19:36 - CD TEST-0U O O
- Status changed from RESOLVED to VERIFIED
- Resolution changed from -- to INVALID

#4 - 2023-06-0519:36 - CD TEST-0 O O
- Status changed from VERIFIED to CLOSED

Files
[0 0O 20230605-093338.mp4 12.3 MB 2023-06-05 CDTS TestD O O
tlog_iov0201017500006162025411a2212290000000601_000226_0605092406.tar.gZ.48 MB 2023-06-05 CDTS TestD O O
